# Uses of Interface
com.sun.source.tree.ConditionalExpressionTree

Packages that use ConditionalExpressionTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ConditionalExpressionTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ConditionalExpressionTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitConditionalExpression(ConditionalExpressionTree node, P p)`
Visits a `ConditionalExpressionTree` node.

## Uses of ConditionalExpressionTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ConditionalExpressionTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitConditionalExpression(ConditionalExpressionTree node, P p)`
Visits a `ConditionalExpressionTree` node.
`R`
TreeScanner.`visitConditionalExpression(ConditionalExpressionTree node, P p)`
Visits a `ConditionalExpressionTree` node.